Update a brand
curl --request PATCH \
--url https://api.social-api.ai/v1/brands/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corp"
}
'const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Corp'})
};
fetch('https://api.social-api.ai/v1/brands/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/brands/{id}"
payload = { "name": "Acme Corp" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"accounts_count": 0,
"created_at": "2026-03-14T09:00:00Z",
"id": "b_01HZ9X3Q4R5M6N7P8V2K0W1J",
"name": "Acme Corporation",
"updated_at": "2026-03-14T09:00:00Z"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Brands
Update a brand
Renames a brand.
PATCH
/
brands
/
{id}
Update a brand
curl --request PATCH \
--url https://api.social-api.ai/v1/brands/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corp"
}
'const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Corp'})
};
fetch('https://api.social-api.ai/v1/brands/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/brands/{id}"
payload = { "name": "Acme Corp" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"accounts_count": 0,
"created_at": "2026-03-14T09:00:00Z",
"id": "b_01HZ9X3Q4R5M6N7P8V2K0W1J",
"name": "Acme Corporation",
"updated_at": "2026-03-14T09:00:00Z"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Brand ID
Body
application/json
New name
Example:
"Acme Corp"